# Get User

## Returns a single user

<mark style="color:blue;">`GET`</mark> `https://api.alturanft.com/api/v2/user/:address`

Takes a user's wallet address and returns that user

#### Path Parameters

| Name                                      | Type   | Description               |
| ----------------------------------------- | ------ | ------------------------- |
| address<mark style="color:red;">\*</mark> | String | The user's wallet address |

{% tabs %}
{% tab title="200: OK " %}

```javascript
{
  "user": {
    "address": "0xcaf45074fc329692995d812aeb099070c7fdee2b",
    "name": "AlturaNFT",
    "bio": "Altura is a smart contract platform that allows game developers to mint, distribute and transact Smart NFTs representing in-game items. Smart NFTs are NFTs with dynamic properties that can change based on certain conditions.",
    "socialLink": "https://www.alturanft.com/",
    "profilePicUrl": "https://altura-marketplace-1.s3.us-east-2.amazonaws.com/0xcaf45074fc329692995d812aeb099070c7fdee2b_126b90b1-92c0-417b-b119-b67e4141d30d.png"
  }
}
```

{% endtab %}

{% tab title="500: Internal Server Error " %}

```javascript
{
    // Response
}
```

{% endtab %}
{% endtabs %}


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.altura.com/altura-documentation/api-reference/get-endpoints/get-user.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
